rules:
  - id: progress-bar-class-vue
    patterns:
      - pattern-regex: progress-bar(?!-)
      - pattern-not-regex: </?gl-progress-bar
      - pattern-not-regex: -progress-bar
      - pattern-not-regex: \('progress-bar'\)
    message: |
      Detected usage of `progress-bar` class inside JS/Vue file.
      Please use the `GlProgressBar` component from `@gitlab/ui`.
    languages:
      - generic
    severity: ERROR
    paths:
      include:
        - '*.js'
        - '*.vue'
    metadata:
      needsEpicOrWarning: true
      componentLabel: 'component:progress-bar'
      pajamasCompliant: false

  - id: okay-progress-bar-vue-component
    patterns:
      - pattern-inside: import ... ... from '@gitlab/ui'
      - pattern: GlProgressBar
    message: Correct usage of GlProgressBar gitlab-ui component.
    languages:
      - generic
    severity: INFO
    paths:
      include:
        - '*.js'
        - '*.vue'
    metadata:
      componentLabel: 'component:progress-bar'
      pajamasCompliant: true
